Skip to main content
POST
/
api
/
v4
/
main-account
/
create-new-address
curl --request POST \ --url https://whitebit.com/api/v4/main-account/create-new-address \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --data ' { "ticker": "XLM", "request": "{{request}}", "nonce": "{{nonce}}" } '
{ "account": { "address": "GDTSOI56XNVAKJNJBLJGRNZIVOCIZJRBIDKTWSCYEYNFAZEMBLN75RMN", "memo": "48565488244493" }, "required": { "fixedFee": "0", "flexFee": { "maxFee": "0", "minFee": "0", "percent": "0" }, "maxAmount": "0", "minAmount": "1" } }

Authorizations

X-TXC-APIKEY
string
header
required

API key authentication using signed requests

Body

application/json
ticker
string
required

Currency's ticker.

Example:

"XLM"

request
string
required

Request signature

Example:

"{{request}}"

nonce
string
required

Unique request identifier

Example:

"{{nonce}}"

network
string

Currency's network (for multinetwork currencies). Example: OMNI or TRC20 or ERC20. For USDT default network is ERC20(ETH).

Example:

"ERC20"

type
enum<string>

Address type, available for specific currencies list (see address types table in endpoint description)

Available options:
p2sh-segwit,
bech32
Example:

"bech32"

Response

All validations succeeded and creating transaction is started

account
object
required
object